package integrator;

import modell.*;

public class EulerIntegrator implements iIntegrator
{
    iModell modell;

    private double[] y_neu;
    private double[] f_neu;
    
    public EulerIntegrator()
    {
    }

    public double[] zeitschritt(double[] y_alt, double t, double dt)
    {
        f_neu = modell.berechneRechteSeite(y_alt,t);
        for(int i=0;i<modell.holeAnzahlGleichungen();i++)
        {
            y_neu[i] = y_alt[i] + f_neu[i]*dt;
        }
        
        return y_neu;
    }
    public void registriereModell(iModell modell)
    {
        this.modell = modell;
        y_neu = new double[modell.holeAnzahlGleichungen()];
    }
}
